Bug 1290077 - journal errors about fedora-release-notes.webapp.desktop
journal errors about fedora-release-notes.webapp.desktop
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: fedora-release-notes (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Extras Quality Assurance
: Reopened
: 1292310 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 10:56 EST by Jonathan Wakely
Modified: 2018-02-02 15:21 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2015-12-09 10:56:54 EST
With fedora-release-notes-22.02-1.fc22.noarch I see lots of noise in my journal repeating this over and over:


Dec 09 12:11:13 knitphad org.kde.kded5[11120]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\\"\"."


The Exec entry in that .desktop file makes my eyes bleed. Even if it's correct there must be a better way to do that.
Comment 1 Pete Travis 2015-12-17 14:58:35 EST
*** Bug 1292310 has been marked as a duplicate of this bug. ***
Comment 2 Pete Travis 2015-12-17 15:13:07 EST
It isn't elegant, sure, but `desktop-file-validate` doesn't complain, and it makes more sense to use that as a reference...  I've committed Peter's suggestion from #1292310 for `mkdir -p` in the exec entry, in any case.

I'll get some guidance from some KDE folks on this, I think.  It *is* marked as OnlyShowIn=Gnome, but it makes sense that KConfigIni would need to parse it to find that out.  The alternatives off the top of my head would be to ship a wrapper script to exec, which seems excessive for a oneliner, or to stop using epiphany, which would take away the 'integrated' appearance of the document in Gnome.
Comment 3 Eric Lavarde 2016-02-06 02:24:06 EST
Independently from its elegance, the escaping sequence is indeed wrong and should read:

Exec=sh -c "PROFILEDIR=\"\$HOME/.config/epiphany/fedora-release-notes\";DOC=\"/usr/share/doc/fedora-release-notes/index.html\"; [ -d \$PROFILEDIR ] || mkdir \$PROFILEDIR;epiphany --application-mode --profile=\$PROFILEDIR \$DOC || xdg-open \$DOC "

(notice the two additional backslashes around the DOC= string)

But indeed the question remains: why not use only xdg-open which is "universal" instead of introducing complex "Gnomisms"?
Comment 4 Eric Lavarde 2016-02-06 02:29:05 EST
And as an afterthought: why should release notes be shown only in Gnome? (KDE seems anyway to ignore the "OnlyShowIn=Gnome" sequence)
Comment 5 James Caldwell 2016-03-05 12:08:27 EST
Eric's solution still causes the error.
Comment 6 Fedora End Of Life 2016-07-19 14:35:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Sergei LITVINENKO 2017-01-22 06:47:15 EST
Fedora-25

KDE

[root@homedesk ~]# rpm -qf /usr/share/applications/fedora-release-notes.webapp.desktop
fedora-release-notes-25.01-1.fc25.noarch



янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\\"\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\\"\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
янв 21 09:27:47 homedesk.homedesk.org.ua kdeinit5[1927]: "KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
Comment 8 Adam Hunt 2017-12-12 19:23:30 EST
Reopening as I'm still seeing this behavior on my KDE F27 machine.

Note You need to log in before you can comment on or make changes to this bug.